Package com.independentsoft.office.word.sections

# Class LineNumberingSettings

java.lang.Object
com.independentsoft.office.word.sections.LineNumberingSettings

public class LineNumberingSettings extends Object
The Class LineNumberingSettings.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LineNumberingSettings()`
  Instantiates a new line numbering settings.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `LineNumberingSettings`
  `clone()`
  `int`
  `getCountBy()`
  Gets the count by.
  `int`
  `getDistance()`
  Gets the distance.
  `LineNumberRestart`
  `getRestart()`
  Gets the restart.
  `int`
  `getStart()`
  Gets the start.
  `void`
  `setCountBy​(int countBy)`
  Sets the count by.
  `void`
  `setDistance​(int distance)`
  Sets the distance.
  `void`
  `setRestart​(LineNumberRestart restart)`
  Sets the restart.
  `void`
  `setStart​(int start)`
  Sets the start.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### LineNumberingSettings

    public LineNumberingSettings()
    Instantiates a new line numbering settings.

- ## Method Details

  - ### clone

    public LineNumberingSettings clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getCountBy

    public int getCountBy()
    Gets the count by.
    Returns:
      the count by

  - ### setCountBy

    public void setCountBy​(int countBy)
    Sets the count by.
    Parameters:
      `countBy` - the new count by

  - ### getDistance

    public int getDistance()
    Gets the distance.
    Returns:
      the distance

  - ### setDistance

    public void setDistance​(int distance)
    Sets the distance.
    Parameters:
      `distance` - the new distance

  - ### getRestart

    public LineNumberRestart getRestart()
    Gets the restart.
    Returns:
      the restart

  - ### setRestart

    public void setRestart​(LineNumberRestart restart)
    Sets the restart.
    Parameters:
      `restart` - the new restart

  - ### getStart

    public int getStart()
    Gets the start.
    Returns:
      the start

  - ### setStart

    public void setStart​(int start)
    Sets the start.
    Parameters:
      `start` - the new start